# Translate API . translations

## Instance Methods

Returns text translations from one language to another.

### Method Details

`list(q, target, format=None, cid=None, source=None)`

    Returns text translations from one language to another.

    Args:
      q: string, The text to translate (required) (repeated)
      target: string, The target language into which the text should be translated (required)
      format: string, The format of the text
        Allowed values
          html - Specifies the input is in HTML
          text - Specifies the input is in plain textual format
      cid: string, The customization id for translate (repeated)
      source: string, The source language of the text

    Returns:
      An object of the form:

        {
        "translations": [ # Translations contains list of translation results of given text
          {
            "detectedSourceLanguage": "A String", # Detected source language if source parameter is unspecified.
            "translatedText": "A String", # The translation.
          },
        ],
      }